← OBPv7.0.0 Get Providers GET /obp/v7.0.0/providers OBPv6.0.0-getProviders No role required User Get the list of authentication providers that have been used to create users on this OBP instance. This endpoint returns a distinct list of provider values from the resource_user table. Providers may include: Local OBP provider (e.g., "http://127.0.0.1:8080") OAuth 2.0 / OpenID Connect providers (e.g., "google.com", "microsoft.com") Custom authentication providers User Authentication is Required. The User must be logged in. The Application must also be authenticated. JSON response body fields (1) providers providers Example success response { "providers": [ "http://127.0.0.1:8080", "OBP", "google.com" ] } Possible errors (2) OBP-20001: User not logged in. Authentication is required!OBP-50000: Unknown Error.